Search & stats

Searching the wiki and usage statistics.

MethodPathSummary
GET/v1/app/kb/meCurrent user's identity + personal space status (used by frontend)
GET/v1/app/kb/searchSearch published articles
GET/v1/app/kb/statsWiKi statistics

#Current user's identity + personal space status (used by frontend)

GET/v1/app/kb/me
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/me
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Response 200

FieldTypeDescription
idinteger
namestring
emailstring
isGlobalAdminany
personalSpaceobject, or null
personalSpace.idinteger
personalSpace.slugstring
personalSpace.namestring
Example response
JSON
{
  "id": 42,
  "name": "Example name",
  "email": "alex@example.com",
  "isGlobalAdmin": null,
  "personalSpace": {
    "id": 42,
    "slug": "example",
    "name": "Example name"
  }
}

Errors

StatusMessage
404User not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/kb/me' \
  -H "X-API-Key: $BRAMBLE_KEY"

#WiKi statistics

GET/v1/app/kb/stats
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/stats
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Response 200

FieldTypeDescription
spaces_countinteger
articles_countinteger
drafts_countinteger
Example response
JSON
{
  "spaces_count": 3,
  "articles_count": 3,
  "drafts_count": 3
}

Errors

StatusMessage
404User not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/kb/stats' \
  -H "X-API-Key: $BRAMBLE_KEY"